//**********************************************************************
//
//	wildwest.shader for Q3 by Sims
//	Website : http://www.simonoc.com/
//
//**********************************************************************
//

// ----------------------------------------------------------------------
textures/wildwest/light1_3k
{
	qer_editorimage textures/wildwest/light1.tga
	q3map_lightImage textures/wildwest/light1.tga
	q3map_surfacelight 3000
	q3map_nonplanar
	q3map_shadeangle 100
	surfaceparm trans
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/wildwest/light1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 0.25
	}
}
// ----------------------------------------------------------------------
textures/wildwest/light2_3k
{
	qer_editorimage textures/wildwest/light2.tga
	q3map_lightImage textures/wildwest/light2.tga
	q3map_surfacelight 3000
	q3map_nonplanar
	q3map_shadeangle 100
	surfaceparm trans
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/wildwest/light2_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 0.25
	}
}
// ----------------------------------------------------------------------
textures/wildwest/light1_beam
{
	qer_editorimage textures/wildwest/light1_beam.tga
	qer_alphafunc greater 0.5
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans 0.9
	cull none
	{
		map textures/wildwest/light1_beam.tga
		blendFunc GL_ONE GL_ONE
		tcMod Scroll 0.1 0
		detail
	}
}

// ----------------------------------------------------------------------
textures/wildwest/floor_stone1
{
	qer_editorimage textures/wildwest/floor_stone1.tga
	q3map_nonplanar
	q3map_shadeangle 45
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/floor_stone1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

// ----------------------------------------------------------------------
textures/wildwest/floor_steptop1
{
	qer_editorimage textures/wildwest/floor_steptop1.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/floor_steptop1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/wildwest/floor_steptop1c
{
	qer_editorimage textures/wildwest/floor_steptop1c.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/floor_steptop1c.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/wildwest/floor_stepside1
{
	qer_editorimage textures/wildwest/floor_stepside1.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/floor_stepside1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/wildwest/floor_stepside1c
{
	qer_editorimage textures/wildwest/floor_stepside1c.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/floor_stepside1c.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/wildwest/marble_black
{
	qer_editorimage textures/wildwest/marble_black.tga
	q3map_nonplanar
	q3map_shadeangle 45
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/marble_black.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/wildwest/metal1
{
	qer_editorimage textures/wildwest/metal1.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/metal1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/wildwest/metal2
{
	qer_editorimage textures/wildwest/metal2.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/metal2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/wildwest/metal_trim1
{
	qer_editorimage textures/wildwest/metal_trim1.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/metal_trim1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/wildwest/rooftile1
{
	qer_editorimage textures/wildwest/rooftile1.tga
	q3map_nonplanar
	q3map_shadeangle 90
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/rooftile1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/wildwest/stone1
{
	qer_editorimage textures/wildwest/stone1.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/stone1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/wildwest/stone2
{
	qer_editorimage textures/wildwest/stone2.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/stone2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

// ----------------------------------------------------------------------
textures/wildwest/stone_trim1
{
	qer_editorimage textures/wildwest/stone_trim1.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/stone_trim1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/wildwest/wood_grey
{
	qer_editorimage textures/wildwest/wood_grey.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/wood_grey.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/wildwest/wood_browndark
{
	qer_editorimage textures/wildwest/wood_browndark.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/wood_browndark.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/wildwest/wood_brownlight
{
	qer_editorimage textures/wildwest/wood_brownlight.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/wood_brownlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/wildwest/wood_trim1c
{
	qer_editorimage textures/wildwest/wood_trim1c.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/wood_trim1c.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/wildwest/wood_trim1d
{
	qer_editorimage textures/wildwest/wood_trim1d.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/wood_trim1d.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/wildwest/woodplank_1a
{
	qer_editorimage textures/wildwest/woodplank_1a.tga
	q3map_nonplanar
	q3map_shadeangle 45
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/woodplank_1a.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/wildwest/woodplank_1b
{
	qer_editorimage textures/wildwest/woodplank_1b.tga
	q3map_nonplanar
	q3map_shadeangle 45
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/woodplank_1b.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/wildwest/woodplank_2
{
	qer_editorimage textures/wildwest/woodplank_2.tga
	q3map_nonplanar
	q3map_shadeangle 45
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/woodplank_2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

// ======================================================================
// DECALS
// ======================================================================
textures/wildwest/decal_stain1
{
	qer_editorimage textures/wildwest/decal_stain1.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/wildwest/decal_stain1.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}
// ----------------------------------------------------------------------
textures/wildwest/decal_stain2a
{
	qer_editorimage textures/wildwest/decal_stain2a.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/wildwest/decal_stain2a.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}
// ----------------------------------------------------------------------
textures/wildwest/decal_stain2b
{
	qer_editorimage textures/wildwest/decal_stain2b.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/wildwest/decal_stain2b.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}
// ----------------------------------------------------------------------
textures/wildwest/decal_stain3a
{
	qer_editorimage textures/wildwest/decal_stain3a.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/wildwest/decal_stain3a.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}
// ----------------------------------------------------------------------
textures/wildwest/decal_stain3b
{
	qer_editorimage textures/wildwest/decal_stain3b.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/wildwest/decal_stain3b.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

// ======================================================================
// B U T T O N S
// ======================================================================
textures/wildwest/button_woodhand
{
	qer_editorimage textures/wildwest/button_woodhand.tga
	q3map_nonplanar
	q3map_shadeangle 75
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/button_woodhand.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/wildwest/button_woodhand45
{
	qer_editorimage textures/wildwest/button_woodhand45.tga
	q3map_nonplanar
	q3map_shadeangle 75
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/button_woodhand45.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/wildwest/button_woodshoot
{
	qer_editorimage textures/wildwest/button_woodshoot.tga
	q3map_nonplanar
	q3map_shadeangle 75
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/button_woodshoot.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/wildwest/button_woodside
{
	qer_editorimage textures/wildwest/button_woodside.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/button_woodside.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

















// ----------------------------------------------------------------------
textures/wildwest/wood_njd
{
	qer_editorimage textures/wildwest/wood_browndark.tga
	q3map_nonplanar
	q3map_shadeangle 60
	surfaceparm monsterslicknorth
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest/wood_browndark.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/wildwest/ironchain
{
	qer_editorimage textures/wildwest/chain2.tga
	surfaceparm noimpact
	surfaceparm nomarks
	//surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite2
	{
		map textures/wildwest/chain2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
